Page MenuHomeFreeBSD

Update multimedia/vlc to upstream version 3.0.4
ClosedPublic

Authored by riggs on Mar 25 2018, 12:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jul 10, 10:24 PM
Unknown Object (File)
Sat, Jun 29, 10:54 PM
Unknown Object (File)
Fri, Jun 28, 9:14 PM
Unknown Object (File)
Thu, Jun 27, 8:18 AM
Unknown Object (File)
Thu, Jun 27, 4:12 AM
Unknown Object (File)
Mon, Jun 24, 9:21 PM
Unknown Object (File)
Sat, Jun 22, 2:05 PM
Unknown Object (File)
May 26 2024, 10:41 PM
Subscribers

Details

Summary

Update vlc to upstream branch 3.0

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Hi,

the build fails with a global OPTIONS_SET=WAYLAND too. Can be unbroken by

diff --git a/multimedia/vlc/Makefile b/multimedia/vlc/Makefile
index bf57ca49c126..c923a6e44614 100644
--- a/multimedia/vlc/Makefile
+++ b/multimedia/vlc/Makefile
@@ -67,7 +67,7 @@ OPTIONS_DEFINE=	A52 AALIB ASS AVAHI CACA DBUS DCA DOCS DVDREAD \
 		NCURSES NLS NOTIFY OGG OPTIMIZED_CFLAGS OPUS PNG PULSEAUDIO \
 		QT4 QT5 REALRTSP RUNROOT SAMPLERATE SIDPLAY SCHROEDINGER \
 		SDL SHOUTCAST SKINS SMB SNDIO STREAM SPEEX TAGLIB THEORA \
-		TWOLAME UPNP V4L VAAPI VCD VDPAU VORBIS X11 X264 X265 ZVBI
+		TWOLAME UPNP V4L VAAPI VCD VDPAU VORBIS WAYLAND X11 X264 X265 ZVBI
 OPTIONS_DEFAULT=A52 AVAHI DBUS DCA DVDREAD DVDNAV FAAD FLAC GNUTLS \
 		HTTPD LIVEMEDIA LUA MAD MATROSKA MPEG2 OGG OPTIMIZED_CFLAGS \
 		OPUS PNG QT5 SAMPLERATE STREAM SPEEX TAGLIB THEORA TWOLAME V4L \
@@ -304,6 +304,10 @@ VDPAU_CONFIGURE_ENABLE=	vdpau
 VORBIS_LIB_DEPENDS=	libvorbis.so:audio/libvorbis
 VORBIS_CONFIGURE_ENABLE=vorbis
 
+WAYLAND_BUILD_DEPENDS=	wayland-protocols>=0:graphics/wayland-protocols
+WAYLAND_LIB_DEPENDS=		libwayland-client.so:graphics/wayland
+WAYLAND_CONFIGURE_ENABLE=	wayland
+
 X11_USE=		GL=gl XORG=xcb,xproto
 X11_LIB_DEPENDS=	libxcb-keysyms.so:x11/xcb-util-keysyms
 X11_CONFIGURE_ENABLE=	xcb xvideo

(This is missing WAYLAND_DESC which should probably be added to bsd.options.desc.mk instead because many ports already have one.)

There appear to be many unrecognized configure options:

configure: WARNING: unrecognized options: --disable-directfb, --disable-gles1, --disable-vcdx, --disable-bonjour, --disable-gnomevfs, --enable-httpd, --enable-mkv, --disable-sdl, --with-qt-includes, --with-qt-libraries, --with-extra-includes, --with-extra-libs

As a consequence many port options are probably now useless or broken too.

Including wayland support (by tobik)

the build fails with a global OPTIONS_SET=WAYLAND too. Can be unbroken by

Thanks! I have included the patch.

There appear to be many unrecognized configure options:

configure: WARNING: unrecognized options: --disable-directfb, --disable-gles1, --disable-vcdx, --disable-bonjour, --disable-gnomevfs, --enable-httpd, --enable-mkv, --disable-sdl, --with-qt-includes, --with-qt-libraries, --with-extra-includes, --with-extra-libs

As a consequence many port options are probably now useless or broken too.

Yep, I haven't gone through all the permutations yet, will hopefully be able to check the most important ones during the next few days. Support is welcome, though :-)
Qt4 support has been deprecated from what it seems. So, when we commit this, multimedia/vlc-qt4 will die.

Remove outdated configure arguments / options

Updating D14842: Update vlc to upstream version 3.0.1

TBD: Does not yet compile with V4L activated.

Update to 3.0.2; TBD: Does not yet compile with V4L activated.

@riggs: Can you send me all the compile errors for V4L?

Update to upstream vlc 3.0.3

Updating D14842: Update vlc to upstream version 3.0.1

TBD: Does not yet compile with V4L activated.

@riggs: Can you send me all the compile errors for V4L?

Sorry for the delay, somehow I missed this question on the page. The v4l compile errors are those (I have sent you the full log via mail):
...
mv -f access/dvb/.deps/libdvb_plugin_la-linux_dvb.Tpo access/dvb/.deps/libdvb_plugin_la-linux_dvb.Plo
access/v4l2/demux.c:413:14: error: use of undeclared identifier 'V4L2_COLORSPACE_DEFAULT'; did you mean 'V4L2_COLORSPACE_REC709'?

case V4L2_COLORSPACE_DEFAULT:
     ^~~~~~~~~~~~~~~~~~~~~~~
     V4L2_COLORSPACE_REC709

/usr/local/include/linux/videodev2.h:220:2: note: 'V4L2_COLORSPACE_REC709' declared here

V4L2_COLORSPACE_REC709        = 3,
^

access/v4l2/demux.c:447:14: error: use of undeclared identifier 'V4L2_COLORSPACE_ADOBERGB'; did you mean 'V4L2_COLORSPACE_SRGB'?

case V4L2_COLORSPACE_ADOBERGB: /* not supported */
     ^~~~~~~~~~~~~~~~~~~~~~~~
     V4L2_COLORSPACE_SRGB

/usr/local/include/linux/videodev2.h:236:2: note: 'V4L2_COLORSPACE_SRGB' declared here

V4L2_COLORSPACE_SRGB          = 8,
^

access/v4l2/demux.c:450:14: error: use of undeclared identifier 'V4L2_COLORSPACE_BT2020'; did you mean 'V4L2_COLORSPACE_BT878'?

case V4L2_COLORSPACE_BT2020:
     ^~~~~~~~~~~~~~~~~~~~~~
     V4L2_COLORSPACE_BT878

/usr/local/include/linux/videodev2.h:223:2: note: 'V4L2_COLORSPACE_BT878' declared here

V4L2_COLORSPACE_BT878         = 4,
^

access/v4l2/demux.c:455:14: error: use of undeclared identifier 'V4L2_COLORSPACE_RAW'; did you mean 'V4L2_COLORSPACE_SRGB'?

case V4L2_COLORSPACE_RAW:
     ^~~~~~~~~~~~~~~~~~~
     V4L2_COLORSPACE_SRGB

/usr/local/include/linux/videodev2.h:236:2: note: 'V4L2_COLORSPACE_SRGB' declared here

V4L2_COLORSPACE_SRGB          = 8,
^

access/v4l2/demux.c:458:14: error: use of undeclared identifier 'V4L2_COLORSPACE_DCI_P3'

case V4L2_COLORSPACE_DCI_P3:
     ^

access/v4l2/demux.c:422:14: error: duplicate case value 'V4L2_COLORSPACE_REC709'

case V4L2_COLORSPACE_REC709:
     ^

access/v4l2/demux.c:413:14: note: previous case defined here

case V4L2_COLORSPACE_DEFAULT:
     ^

access/v4l2/demux.c:447:14: error: duplicate case value 'V4L2_COLORSPACE_SRGB'

case V4L2_COLORSPACE_ADOBERGB: /* not supported */
     ^

access/v4l2/demux.c:442:14: note: previous case defined here

case V4L2_COLORSPACE_SRGB:
     ^

access/v4l2/demux.c:455:14: error: duplicate case value 'V4L2_COLORSPACE_SRGB'

case V4L2_COLORSPACE_RAW:
     ^

access/v4l2/demux.c:447:14: note: previous case defined here

case V4L2_COLORSPACE_ADOBERGB: /* not supported */
     ^

access/v4l2/demux.c:468:58: error: no member named 'xfer_func' in 'struct v4l2_pix_format'

msg_Dbg (demux, "transfer function: %u", fmt.fmt.pix.xfer_func);
                                         ~~~~~~~~~~~ ^

../include/vlc_messages.h:87:38: note: expanded from macro 'msg_Dbg'

msg_Generic(p_this, VLC_MSG_DBG, __VA_ARGS__)
                                 ^~~~~~~~~~~

../include/vlc_messages.h:79:23: note: expanded from macro 'msg_Generic'

__func__, __VA_ARGS__)
          ^~~~~~~~~~~

access/v4l2/demux.c:469:25: error: no member named 'xfer_func' in 'struct v4l2_pix_format'

switch (fmt.fmt.pix.xfer_func)
        ~~~~~~~~~~~ ^

access/v4l2/demux.c:499:55: error: no member named 'ycbcr_enc' in 'struct v4l2_pix_format'

msg_Dbg (demux, "YCbCr encoding: %u", fmt.fmt.pix.ycbcr_enc);
                                      ~~~~~~~~~~~ ^

../include/vlc_messages.h:87:38: note: expanded from macro 'msg_Dbg'

msg_Generic(p_this, VLC_MSG_DBG, __VA_ARGS__)
                                 ^~~~~~~~~~~

../include/vlc_messages.h:79:23: note: expanded from macro 'msg_Generic'

__func__, __VA_ARGS__)
          ^~~~~~~~~~~

access/v4l2/demux.c:500:25: error: no member named 'ycbcr_enc' in 'struct v4l2_pix_format'

switch (fmt.fmt.pix.ycbcr_enc)
        ~~~~~~~~~~~ ^

access/v4l2/demux.c:527:53: error: no member named 'quantization' in 'struct v4l2_pix_format'

msg_Dbg (demux, "quantization: %u", fmt.fmt.pix.quantization);
                                    ~~~~~~~~~~~ ^

../include/vlc_messages.h:87:38: note: expanded from macro 'msg_Dbg'

msg_Generic(p_this, VLC_MSG_DBG, __VA_ARGS__)
                                 ^~~~~~~~~~~

../include/vlc_messages.h:79:23: note: expanded from macro 'msg_Generic'

__func__, __VA_ARGS__)
          ^~~~~~~~~~~

access/v4l2/demux.c:528:25: error: no member named 'quantization' in 'struct v4l2_pix_format'

switch (fmt.fmt.pix.quantization)
        ~~~~~~~~~~~ ^

14 errors generated.

...

@kwm videodev2.h in v4l_compat needs updating to latest version of Linux 4.17!

Re-enable V4L as DEFAULT OPTION.
The review in https://reviews.freebsd.org/D16121 contains the required
modifications to the V4L ports.

linimon retitled this revision from Update vlc to upstream version 3.0.1 TBD: Does not yet compile with V4L activated. to Update multimedia/vlc to upstream version 3.0.1TBD: Does not yet compile with V4L activated..Jul 18 2018, 12:50 PM

Update to upstream vlc 3.0.4

riggs retitled this revision from Update multimedia/vlc to upstream version 3.0.1TBD: Does not yet compile with V4L activated. to Update multimedia/vlc to upstream version 3.0.4.Sep 23 2018, 11:11 AM
riggs edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Sep 29 2018, 7:31 AM
This revision was automatically updated to reflect the committed changes.